var gameEndRankSkin=gameEndRankSkin||{};
gameEndRankSkin.RoleListItem=function(){
	var s = this;
	F2xContainer.call(s);
	s.initUI();
};
F2xExtend(gameEndRankSkin.RoleListItem,F2xContainer);
gameEndRankSkin.RoleListItem.prototype.initUI=function(){
	var s = this;
	//f2x_auto_created_init_start
	var _d2=Flash2x.t(0,decodeURI("***123a456789"),26,"#000000","Microsoft YaHei",0,0,229,36,36.3,"center",false,true,"single",false);
	_d2.name="cidTxt";
	s.cidTxt=_d2;
	Flash2x.d(_d2,{x:132,y:2});
	var _d1=Flash2x.t(0,decodeURI("99999"),26,"#000000","Microsoft YaHei",0,0,116,36,36.3,"right",false,true,"single",false);
	_d1.name="scoreTxt";
	s.scoreTxt=_d1;
	Flash2x.d(_d1,{x:390,y:2});
	var _d0=Flash2x.t(0,decodeURI("%E7%AC%AC%E4%B8%80%E5%90%8D"),26,"#000000","Microsoft YaHei",0,0,100,36,36.3,"left",false,true,"single",false);
	_d0.name="rankTxt";
	s.rankTxt=_d0;
	Flash2x.d(_d0,{x:2,y:2});
	s.addChild(_d0);
	s.addChild(_d1);
	s.addChild(_d2);
	//f2x_auto_created_init_end
	
};
